Beckhoff CXD utility - Trouble-shooting

Embedded-PC: CXD Utility

Trouble-shooting

More and more often you will find applications using CX1xxx together with Beckhoff control panels. The optimal resolution of the panel is depending on the display size. Because of these variations, the CX1xxx is using the resolution 640x480 with 16Bit by default. This resolution is suiting 6.4" or 10" displays. In case of using a different display size, please check the table showing the supported resolutions. If you are using an unsupported resolution the display is staying black. For example this can happen when using an Ethernet panel with an bigger display than 15".

Method of resolution:

  • Connect a CRT monitor and do the adjustments in the resolution. This method does not work with an Ethernet panel, because CX and display are integrated in one housing.

  • Use the CXD utility to do the adjustments.

Display resolution table

The table below list the supported display resolution of the CX1000 platforms:

Display size (inch) | resolution (Pixel)
6,4" | 640x480
10" | 640x480
12" | 800x600
15" | 1024x768


Function-set of the Beckhoff CXD Utility

Embedded-PC: CXD Utility

The functions of the Beckhoff CXD utility

picture 1: Screenshot of the Beckhoff CXD Utility

1. Using the CXD utility directly on a CX1xxx

You will find the tool in the XPe system folder on the CX1xxx. The version of the utility is 1.14. If you execute the cxd.exe, an dialog with three checkboxes will appear. Tick the checkbox with the resolution you want to have.

You can also do the changes blindly. This could be important when you have a black screen. By using commands you can select the resolution either directly or one after another. (See "using the Beckhoff CXD utility")

2. Using the CXD utility via remote desktop

If you do not have the chance of doing the changes directly on the CX1xxx, you can also do this via remote desktop. In this case you establish the connection and execute the cxd.exe. Select the appropriate resolution and do a reboot of the system before the changes will take place (See "using the Beckhoff CXD utility")


CXD Utility operation

Embedded-PC: CXD Utility

Using the Beckhoff CXD Utility

1. Using the CXD utility directly on a CX1xxx

Using the CXD utility with parameters: After the system on a CX1xxx or Ethernet panel is booted (approx. 3-5 minutes) you have to press the key combination "Windows-key + R". Now type in "CXD 1" (640x480) , "CXD 2" (800x600), or "CXD 3" (1024x768) to change to the corresponding resolution.

Using the CXD utility and key combinations: After the system on a CX1xxx or Ethernet panel is booted (approx. 3-5 minutes) you have to press the key combination "Windows-key + R". Now use the key combination CTRL + 1 (640x480), CTRL + 2 (800x600) or CTRL + 3 (1024x768) to change to the corresponding resolution.

Using the CXD utility and change the resolution one after another: After the system on a CX1xxx or Ethernet panel is booted (approx. 3-5 minutes) you have to press the key combination "Windows-key + R". Now use the key combination CTRL+arrow up (CTRL + NumKey 8), CTRL+arrow down (CTRL + NumKey 2) to switch in-between the resolutions.

Hinweis

 Executing the CXD utility on the runtime system
If you do the changes in this way, then they are done while the task is running on your machine. As soon as you have the right resolution, you will get a display.

2. Using the CXD utility via remote desktop

When the connection of the remote desktop is established click on "START" and then on "run". Type in "CXD" to execute the CXD utility. The CXD Dialog will now open. Select the corresponding resolution (table of supported resolutions". After selecting a message box will open asking for a reboot of the system. Click "Yes" or "No".

Achtung

 Data loss
A reboot of the system is required before the changes can take place. Unsaved data will get lost, when you do a reboot. Therefore, make sure that you save your settings, changes in the program, etc. before rebooting the system.


Download of the CXD utility

Embedded-PC: CXD Utility

Download

Click the link to download the CXD utility.


Overview - Beckhoff CXD Utility documentation

Embedded-PC: CXD Utility

Overview

The CXD display resolution changer utility is helping you doing resolution changes on a CX1000 based hardware platform. This includes all CX1xxx and Ethernet Panel.

Trouble-shooting

The functions of the Beckhoff CXD utility

Using the Beckhoff CXD utility

Download